Subject: bug#17558: 24.4.50; global-subword-mode breaks ERC

From: Drew Adams <[email-masked]>
Date: Mon, 27 Apr 2015 16:24:07 -0700 (PDT)

> >> Indeed, with the new implementation of subword-mode, most of the
> >> word-operating commands should be marked as "interactive use
> >> only", since their behavior is too unreliable for use in Lisp code.
> >
> > Sounds to me like it will be a PITA to review/replace every
> > non-interactive usage of those commands.
> > Are people certain they want to go down this road?
> 
> I am. It's the only way we can make sure that interactive commands
> that move by words *indirectly* do the right thing in the presence of
> user customizations.

Mille excuses - I have not been following this thread.

Just what is meant by "non-interactive use of `forward-word'
and `backward-word'"?  Any call to either of them in Lisp code?
And what is meant by "*indirectly*".

Will you be telling users (e.g. in NEWS) precisely *how* they
need to modify existing non-interactive calls to those functions?
Saying that they should be used only interactively from now on
does not tell users how to fix existing code that calls them.

And just what is unsafe about calling these two functions from
Lisp?

Sorry, but this is not clear to me.  (And why not create new
functions/commands, instead of changing the meaning/behavior
of these longstanding ones?)

> > (At time of writing, I don't see any mention of forward-word etc
> > no longer being safe in NEWS.)
> 
> ERC is the only component I've heard of breaking. I don't think
> forward-word has *ever* been "safe" in the sense that you're
> suggesting.  Modes almost always *actually* want sexp movement.